Bug 6393 - Samba4 do not honor Sortkeylist request
Samba4 do not honor Sortkeylist request
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 17:11 UTC by Matthieu Patou
Modified: 2009-06-12 14:50 UTC (History)
0 users

See Also:


Attachments
Tcpdump capture showing a request and response not properly sorted (2.54 KB, application/octet-stream)
2009-05-22 17:14 UTC, Matthieu Patou
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2009-05-22 17:11:43 UTC
When receiveing LDAP request with the control SortKeyList, samba4 fail to honor this control and do not return a sorted response
Comment 1 Matthieu Patou 2009-05-22 17:14:26 UTC
Created attachment 4188 [details]
Tcpdump capture showing a request and response not properly sorted

frame 11 ask for the sortkeylist control on attribute CN.
in frame 12 we expect to have Administrator, user administrator and user test.
But another order is returned
Comment 2 Matthieu Patou 2009-06-10 14:32:04 UTC
It seems that the fix released by tridge in 6836b16ddac590b9cb23c4c5497aacd3bc371968 is working pretty well.

I propose to close this bug 
Comment 3 Matthias Dieter Wallnöfer 2009-06-12 14:50:11 UTC
Good!